# Uses of Interface
org.eclipse.ecf.core.sharedobject.ISharedObjectTransactionConfig

Packages that use ISharedObjectTransactionConfig
Package
Description
org.eclipse.ecf.core.sharedobject

## Uses of ISharedObjectTransactionConfig in org.eclipse.ecf.core.sharedobject

Classes in org.eclipse.ecf.core.sharedobject that implement ISharedObjectTransactionConfig
Modifier and Type
Class
Description
`class`
`TransactionSharedObjectConfiguration`
Configuration parameters for transaction shared object creation and replication.
Fields in org.eclipse.ecf.core.sharedobject declared as ISharedObjectTransactionConfig
Modifier and Type
Field
Description
`protected ISharedObjectTransactionConfig`
TransactionSharedObject.`configuration`
Constructors in org.eclipse.ecf.core.sharedobject with parameters of type ISharedObjectTransactionConfig
Modifier
Constructor
Description
``
`TransactionSharedObject(ISharedObjectTransactionConfig config)`
Construct instance.
``
`TwoPhaseCommitEventProcessor(BaseSharedObject bse, ISharedObjectTransactionConfig config)`